Rebuilding iOS Extensions to include 64-bit support

Jon

  • *
  • Posts: 17533
Starting February 1st, 2015, Apple will require all submitted games to include 64-bit support. Stencyl 3.3 includes 64-bit support, but any extensions will also need to support 64-bit, otherwise games relying on those extensions will not build.

In order to support 64-bit in your extension, you need to make a few simple changes on your end.

---

1) Download Stencyl 3.3 or later.

2) Open up project/Build.xml for your extension. Below this line...
Code: [Select]
<set name="IOS_ARCH" value="-v7" if="HXCPP_ARMV7"/>add this line
Code: [Select]
<set name="IOS_ARCH" value="-64" if="HXCPP_ARM64"/>
3) Open up project/build for your extension. Below this line...
Code: [Select]
../../../haxelib run hxcpp Build.xml -Diphoneos -DHXCPP_ARMV7add this line
Code: [Select]
../../../haxelib run hxcpp Build.xml -Diphoneos -DHXCPP_ARM64
4) Rebuild your extension (using project/build).

Under ndll/iPhone, you should now see a 64-bit binary for your extension. Re-upload your extension in full.

vanhaylo

  • Posts: 45
Submitted a new app today to apple and was rejected due to missing 64 bit support. Looks like they started it earlier than Feb1 as they previously noted. I understand stencyl 3.3 will resolve this issue? Your post says download stencyl 3.3, I assume you mean to wait till it is available? Or is there beta build we can get now?  If you mean wait for 3.3, do you have an idea of how soon it will be available?

captaincomic

  • *
  • Posts: 6108
Yes, 3.3 will be the next version and will resolve the missing 64-bit support.

The latest private build that has support for it already, but there is currently still a problem with scaling in that build: http://community.stencyl.com/index.php/topic,13789.0.html

Stevetheipad

  • Posts: 1301
When you say to build the project after changing the files and saving them, can that just be zipping the folder up again? I don't think the build is working because no 64bit folder shows up in the iphone folder.

rob1221

  • *
  • Posts: 9474
Rebuilding is required, and it must be done with a recent private build.

Stevetheipad

  • Posts: 1301
Rebuilding is required, and it must be done with a recent private build.
Ah, that must be why it wasn't working for me. Out of curiosity, what stops you or Jon or someone from updating it and posting it?

rob1221

  • *
  • Posts: 9474
Well for me, I don't have the time to manage other people's extensions when I have my own to worry about, and I'm also trying to figure out how to get frameworks to work.

Stevetheipad

  • Posts: 1301
Well for me, I don't have the time to manage other people's extensions when I have my own to worry about, and I'm also trying to figure out how to get frameworks to work.
Yeah, that's definitely justified. I'm just worried about extensions like Admob which are owned by a user who is inactive and where people rely on that extension.

dariolessa

  • Posts: 72
The last beta version of Stencyl have 64 bits support?


dariolessa

  • Posts: 72
I downladed the last beta version 8161 and i cant compile for iOS.

[openfl] The following build commands failed:
[openfl] ** BUILD FAILED **



Justin

  • *
  • Posts: 4583
That tells us practically nothing. Please post your logs. Thanks.
For Live Support: Join our discord server and ping me @justin.
I'm most often available between 10am and 10pm Japan time. (GMT+9)

dariolessa

  • Posts: 72
Logs.
Thank you very much in advence.

dariolessa

  • Posts: 72
That tells us practically nothing. Please post your logs. Thanks.

You have to generate logs after build or before?

Justin

  • *
  • Posts: 4583
After the error occurs. Otherwise it won't be in the log.

The log you posted doesn't seem to have the error in it.
For Live Support: Join our discord server and ping me @justin.
I'm most often available between 10am and 10pm Japan time. (GMT+9)